Subject: bug#29078: 25.2; font issue with FreeType 2.8; should not use the rounded ascender and descender

From: Stefan Kangas <[email-masked]>
Date: Tue, 19 Nov 2019 17:41:18 +0100

Vincent Lefevre <[email-masked]> writes:

> BTW, note that my sample file is an excerpt from Markus Kuhn's UTF-8
> demo at <https://www.cl.cam.ac.uk/~mgk25/ucs/examples/UTF-8-demo.txt>.

I tried loading that file up in Emacs on macOS, and from a quick
glance I get better results with the aligning in Emacs than in
Firefox.  I don't see any vertical gaps in the box drawing.

The only issue I see is that "Mathematics and sciences" is
horizontally misaligned.  I think the offending characters are ∮, ≪,
⟦, ⟧, ⎷ and ⎳.  They are rendered in a different font though, so I
guess this is expected?  (I also see a vertical gap on one line but
not the others.)

Best regards,
Stefan Kangas